---
title: Get a list of institutions
slug: payment/get-a-list-of-institutions
description: Learn how to retrieve a comprehensive list of participants for an end-user using the "GET /payment/customer/v1/participants" API endpoint. This document provides step-by-step instructions and includes a CURL command example with headers. No path or body p
docTags: 
createdAt: 2023-05-18T20:25:19.000Z
---

:::ApiMethodV2
```json
{
  "name": "institutions",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/payment/customer/v1/institutions",
  "description": "Get institution for your end-user(debtor).",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "4IUJWH7nkLwnDqr9Abkfs",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/payment/customer/v1/institutions' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "ka7kJGeJyxhhvVgTHjszz",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/payment/customer/v1/institutions',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "BbaUg0wXcLNj2AjEBVRm1",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/payment/customer/v1/institutions\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "10Qj-nmkDXNLZvztCiwTY",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/payment/customer/v1/institutions\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "lZduNzuxdAKyZZzmxuOY2",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/payment/customer/v1/institutions\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "4IUJWH7nkLwnDqr9Abkfs"
  },
  "results": {
    "languages": [
      {
        "id": "5we2iaztrCJc5OLlLkLma",
        "language": "200",
        "code": "[\n\t{\n\t\t\"id\": \"81bada34-a509-43d6-9ac3-23f95b066411\",\n\t\t\"name\": \"Mock bank 1\",\n\t\t\"avatar\": \"https://example.server.com/mockbank1.svg\",\n\t\t\"description\": \"Mock Sandbox 1\",\n\t\t\"businessType\": \"PJ\",\n\t\t\"paymentMethodConfig\":\n        [\n            {\n                \"paymentMethod\": \"AUTOMATIC_PIX\",\n                \"outage\": false,\n                \"outageReason\": \"it is outage\"\n            },\n            {\n                \"paymentMethod\": \"INSTANT_PIX\",\n                \"outage\": false,\n                \"outageReason\": \"it is outage\"\n            }\n        ],\n\t\t'parentOrganizationName': 'TestTest001',\n        'parentOrganizationId': '1234124',\n        'organizationName': 'test001',\n        'organizationId': '56789',\n        'isBeta': false\n\t},\n\t{\n\t\t\"id\": \"81bada34-a509-43d6-9ac3-23f95b066411\",\n\t\t\"name\": \"Mock bank 2\",\n\t\t\"avatar\": \"https://example.server.com/mockbank2.svg\",\n\t\t\"description\": \"Mock Sandbox 2\",\n\t\t\"businessType\": \"PJ\",\n\t\t\"paymentMethodConfig\":\n        [\n            {\n                \"paymentMethod\": \"AUTOMATIC_PIX\",\n                \"outage\": false,\n                \"outageReason\": \"it is outage\"\n            },\n            {\n                \"paymentMethod\": \"INSTANT_PIX\",\n                \"outage\": false,\n                \"outageReason\": \"it is outage\"\n            }\n        ],\n\t\t'parentOrganizationName': 'TestTest001',\n        'parentOrganizationId': '1234124',\n        'organizationName': 'test001',\n        'organizationId': '56789',\n        'isBeta': true\n\t}\n]",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "5we2iaztrCJc5OLlLkLma"
  },
  "request": {
    "pathParameters": [
      {
        "name": "paymentMethod",
        "kind": "optional",
        "type": "string",
        "description": "Current support: INSTANT_PIX or AUTOMATIC_PIX",
        "": "Current support: INSTANT_PIX or AUTOMATIC_PIX"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "Institution ID"
    },
    {
      "name": "name",
      "kind": "optional",
      "type": "string",
      "description": "Name of institution\n",
      "children": []
    },
    {
      "name": "avatar",
      "kind": "optional",
      "type": "string",
      "description": "Avatar of institution",
      "children": []
    },
    {
      "name": "description",
      "kind": "optional",
      "type": "string",
      "description": "Description",
      "children": []
    },
    {
      "name": "businessType",
      "kind": "optional",
      "type": "string",
      "description": "\nBusiness types supported by the payer’s bank.\nPJ - Only support CNPJ\nPF - Only support CPF\nBOTH - Support both CNPJ and CPF\n",
      "children": []
    },
    {
      "name": "paymentMethodConfig",
      "kind": "optional",
      "type": "array",
      "description": "Payment method config",
      "children": [
        {
          "name": "outage",
          "kind": "optional",
          "type": "boolean",
          "description": "Is the current status of the institution in outage state:\nfalse: available status\ntrue: unavailable status"
        },
        {
          "name": "outageReason",
          "kind": "optional",
          "type": "string",
          "description": "Reason for unavailability status"
        }
      ]
    },
    {
      "name": "parentOrganizationName",
      "kind": "optional",
      "type": "string",
      "description": "Parent organization name",
      "children": []
    },
    {
      "name": "parentOrganizationId",
      "kind": "optional",
      "type": "string",
      "description": "Parent organizationId",
      "children": []
    },
    {
      "name": "organizationName",
      "kind": "optional",
      "type": "string",
      "description": "Organization name",
      "children": []
    },
    {
      "name": "organizationId",
      "kind": "optional",
      "type": "string",
      "description": "Organization Id",
      "children": []
    },
    {
      "name": "isBeta",
      "kind": "optional",
      "type": "boolean",
      "description": "Indicates whether the institution is beta.",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "institutions",
  "legacyHash": "SAgmAit7jhZMtZDTJpfOt"
}
```
:::



